<?xml version="1.0" encoding="utf-8"?>

<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:orientation="vertical">

    <android.support.v7.widget.Toolbar
        android:id="@+id/toolbar"
        android:layout_width="match_parent"
        android:layout_height="?attr/actionBarSize"
        app:contentInsetEnd="0dp"
        app:contentInsetStart="0dp"
        app:popupTheme="@style/MyMaterialTheme" />

    <ScrollView
        android:id="@+id/scrollview"
        android:layout_width="fill_parent"
        android:layout_height="0dp"
        android:layout_weight="1"
        android:fillViewport="true"
        android:orientation="vertical"
        android:paddingBottom="10dp"
        android:paddingTop="10dp">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center_vertical"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:orientation="vertical"
                android:layout_marginLeft="50dp"
                android:layout_marginRight="50dp"
                android:layout_height="wrap_content">

                <EditText
                    android:id="@+id/bix_id"
                    android:layout_width="match_parent"
                    android:layout_weight="1"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:background="@drawable/edit_text_border_bottom"
                    android:hint="Bix ID/Email"
                    android:inputType="text"
                    android:paddingBottom="10dp"
                    android:textColor="@color/black"
                    android:textColorHint="@color/clouds"
                    android:textCursorDrawable="@drawable/cursor_drawable"
                    android:textSize="25sp" />

                <LinearLayout
                    android:id="@+id/scan_bix_id"
                    android:background="@drawable/app_button_selector"
                    android:layout_gravity="right"
                    android:gravity="center_vertical"
                    android:layout_marginTop="0dp"
                    android:visibility="visible"
                    android:layout_width="45dp"
                    android:layout_height="45dp">
                    <ImageView
                        android:layout_width="match_parent"
                        android:padding="13dp"
                        android:src="@drawable/scanq"
                        android:layout_height="match_parent">
                    </ImageView>
                </LinearLayout>

            </LinearLayout>


            <TextView
                android:id="@+id/terms_link"
                android:layout_marginTop="15dp"
                android:visibility="gone"
                android:textColor="@color/colorPrimary"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal|right"
                android:layout_marginRight="50dp"
                android:gravity="center"
                android:text="Capture BixID via QR Code"
                android:textSize="15dp" />


            <EditText
                android:id="@+id/amount"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginLeft="50dp"
                android:layout_marginRight="50dp"
                android:layout_marginTop="0dp"
                android:background="@drawable/edit_text_border_bottom"
                android:hint="Amount"
                android:inputType="numberDecimal"
                android:paddingBottom="10dp"
                android:textColor="@color/black"
                android:textColorHint="@color/clouds"
                android:textCursorDrawable="@drawable/cursor_drawable"
                android:textSize="25sp" />

            <TextView
                android:id="@+id/terms_text"
                android:layout_width="wrap_content"
                android:visibility="gone"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginLeft="50dp"
                android:layout_marginRight="50dp"
                android:layout_marginTop="35dp"
                android:gravity="center"
                android:text="By registering you agree to our"
                android:textSize="15dp" />
        </LinearLayout>
    </ScrollView>

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <Button
            android:id="@+id/done"
            android:layout_width="match_parent"
            android:layout_height="55dp"
            android:layout_below="@+id/registering_user_id"
            android:layout_marginBottom="10dp"
            android:layout_marginLeft="50dp"
            android:layout_marginRight="50dp"
            android:layout_marginTop="10dp"
            android:background="@drawable/rounded_corner_button"
            android:text="Done"
            android:textColor="@color/colorPrimary" />
    </FrameLayout>

</LinearLayout>